
<form name="form" novalidate>

<div id="top_of_dialog">
	<strong>Modifica Parametri di Configurazione</strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Impostazione parametri</th>
			</tr>
		</thead>
		<tbody>
<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						{{ctrl.dsrProcessConfigToEdit.dspName}}
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>TERRITORIO
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
					{{ctrl.dsrProcessConfigToEdit.countryName}}													
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO UTILIZZO
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						{{ctrl.dsrProcessConfigToEdit.utilizationName}}
														
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>Processo
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select name="process" id="process" ng-init="process = ctrl.dsrProcessConfigToEdit.idDsrProcess" ng-model="process" >
							<option ng-repeat="proc in ctrl.processList" value="{{proc.idDsrProcess}}">{{proc.name}} - [ {{proc.description}} ]</option>
						</select>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			 <td class="fieldLabel medium">
				<label class="muted pull-right marginRight10px">
					<span class="redColor" ng-show="form.process.$invalid">*</span>RANK
				</label>
			</td>
			<td class="fieldValue medium">
				<div class="row-fluid">
					<span class="span10">
						<select ng-init="priority = ctrl.dsrProcessConfigToEdit.priority" ng-model="priority" ng-options="n for n in [] | rank:0:100" required></select>							
					</span>
				</div>
			</td>
		</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button type="button" class="btn addButton" ng-disabled="form.$invalid || !form.$dirty" ng-click="save()">
				<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Modifica</strong>
			</button>
		</td>
	</tr>
	</table>
</div>
</form>

<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
		<strong>{{ngDialogData}}</strong>
	</div>
</script>
<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
